Author Topic: zentyal-radius package not properly installed  (Read 1959 times)

-pekr-

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +2/-0
    • View Profile
zentyal-radius package not properly installed
« on: April 10, 2014, 09:59:57 am »
Hi,

after some time I decided to resolve the update situation problem on my Zentyal 2.2 installation. Trouble was solved, /boot was "full" and apt-get reported there is not enought space for updates, or something like that.

So I went and updated kernel from 2.9 to 2.11., also various other components of the system. All went well, except the zentyal-radius. The dashboard displays message, instructing me to resolve the situation using:

sudo dpkg --configure -a

But it fails with the following console output (Sorry for the rough translations of the Czech parts, hopefully you will understand):

Setting-up the package freeradius-ldap (2.1.8+dfsg-1ubuntu1.1) ...
 * Stopping FreeRADIUS daemon freeradius                                                                                                                                                                                                      * /var/run/freeradius/freeradius.pid not found...                                                                                                                                                                                    [ OK ]
 * Starting FreeRADIUS daemon freeradius                                                                                                                                                                                              [fail]
invoke-rc.d: initscript freeradius, action "force-reload" failed.
dpkg: error during the set-up of freeradius-ldap (--configure):
 subprocess post-installation script returned error code 1
dpkg: non-fulfilled dependencies disallowed the configuretion of the zentyal-radius package:
 zentyal-radius is dependant upon freeradius-ldap (>= 2.1.8+dfsg-1ubuntu1); unfortunately:
  The pakcage freeradius-ldap is not yet configured.
dpkg: error trying zentyal-radius (--configure):
 dependency problems - will let it unconfigured


I event tried: dpkg --configure freeradius-ldap, with the following output:

Setting up the package freeradius-ldap (2.1.8+dfsg-1ubuntu1.1) ...
 * Stopping FreeRADIUS daemon freeradius                                                                                                                                                                                                      * /var/run/freeradius/freeradius.pid not found...                                                                                                                                                                                    [ OK ]
 * Starting FreeRADIUS daemon freeradius                                                                                                                                                                                              [fail]
invoke-rc.d: initscript freeradius, action "force-reload" failed.
dpkg: error trying freeradius-ldap (--configure):
  subprocess post-installation script returned error code 1
Errors in:
freeradius-ldap

------------------

Now - I am not sure I need the Radius. I am not using it and if system is not using it on behind, I might just ignore the problem. But - the dashboard states: "The following packages are not properly installed. You need to fix this before trying to use them or install new modules.", so I am not sure I will be able to update any other packages, if the above problem persists?

Thanks a lot,
Petr


praeto2002

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: zentyal-radius package not properly installed
« Reply #1 on: April 24, 2014, 09:21:59 am »
I am having the same problem. Did you manage to solve your problem? If so, please let me know how.

-pekr-

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +2/-0
    • View Profile
Re: zentyal-radius package not properly installed
« Reply #2 on: May 02, 2014, 07:18:04 pm »
No, I did not. And sadly, after the server reboot, I can't login to webmail, which might mean that radius based accounts are not working :-( That really made the server unoperational and I wonder noone else is experiencing identical symptoms? Now I wonder, how do our users get to their emails ....


-pekr-

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +2/-0
    • View Profile
Re: zentyal-radius package not properly installed
« Reply #3 on: May 02, 2014, 08:03:08 pm »
I found some general non Zentyal related suggestion from one user:

"And I solved my problem by a clean removal and re-install. BTW, I met this issue after upgrading from Ubuntu 12.04 to 14.04. Could be caused by some legacy env conflict, I guess.
$sudo apt-get purge freeradius-common freeradius freeradius-mysql
$sudo apt-get install freeradius-common freeradius freeradius-mysql"

Am I safe to do the above, or do I risk loosing the configs, logins, etc?